Package org.eclipse.ui.editors.text

## Interface ILocationProvider

    public interface ILocationProvider

This class gets the location for a given object.

In order to provided backward compatibility for clients of `ILocationProvider`, extension interfaces are used to provide a means of evolution. The following extension interfaces exist:

- `ILocationProviderExtension` since version 3.3 allowing to get the location as `URI`.

Since:
  3.0
See Also:
  `ILocationProviderExtension`

### Method Summary

All Methods Instance Methods Abstract Methods
`IPath` `getPath​(Object element)` Returns the location of the given object or `null`.

### Method Detail

#### getPath

    IPath getPath​(Object element)

Returns the location of the given object or `null`.

The provided location is either a full path of a workspace resource or an absolute path in the local file system.

Parameters:
  `element` - the object for which to get the location
Returns:
  the location of the given object or `null`